package com.work.provide_origin.origin

import android.view.LayoutInflater
import android.view.View
import androidx.databinding.DataBindingUtil
import androidx.databinding.ViewDataBinding

abstract class GeneralAgentFragment<VM: GeneralViewModel,DB: ViewDataBinding> : GeneralVMFragment<VM>(){
    lateinit var iDataBinding: DB

    override fun initDataBinding():View {
        iDataBinding = DataBindingUtil.bind(LayoutInflater.from(activity).inflate(layout,null))!!

        iDataBinding.lifecycleOwner = this

        return iDataBinding.root
    }

}